Bug 17792 - Execution of JSP with Tomcat 3.2 throws NoClassDefFoundException
Execution of JSP with Tomcat 3.2 throws NoClassDefFoundException
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: Tomcat
3.x
Sun Solaris
: P1 (vote)
: 4.x
Assigned To: Unknown
Unknown
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-17 01:57 UTC by Jason Rush
Modified: 2006-06-05 00:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Rush 2001-11-17 01:57:27 UTC
In the FFJ Orion build 011116:

Attempting to execute a JSP with Tomcat 3.2, I'm getting the following
exception:

Error: 500

Location: /mon_module1/mon_101.jsp

Internal Servlet Error:

java.lang.NoClassDefFoundError: javax/xml/transform/TransformerException
        at
org.netbeans.modules.web.monitor.data.MonitorData.(MonitorData.java:54)
        at
org.netbeans.modules.web.monitor.data.MonitorData.(MonitorData.java:33)
        at
org.netbeans.modules.web.monitor.data.MonitorData.(MonitorData.java:29)
        at
org.netbeans.modules.web.monitor.tomcat.Monitor.preService(Monitor.java:227)
        at
org.apache.tomcat.core.ContextManager.doPreService(ContextManager.java:895)
        at org.apache.tomcat.core.Handler.service(Handler.java:282)
        at
org.apache.tomcat.core.ServletWrapper.service(ServletWrapper.java:372)
        at
org.apache.tomcat.core.ContextManager.internalService(ContextManager.java:797)
        at
org.apache.tomcat.core.ContextManager.service(ContextManager.java:743)
        at
org.apache.tomcat.service.http.HttpConnectionHandler.processConnection(HttpConnectionHandler.java:210)
        at
org.apache.tomcat.service.TcpWorkerThread.runIt(PoolTcpEndpoint.java:416)
        at
org.apache.tomcat.util.ThreadPool$ControlRunnable.run(ThreadPool.java:498)
        at java.lang.Thread.run(Thread.java:484)
Comment 1 _ rkubacki 2001-11-17 10:05:08 UTC
This is problem of HTTP monitor. It uses DD2Beans library which
started to use Xalan and is dependent on jaxp and xalan now. It means
that there are likely bad dependencies between modules (xalan ->
dd2beans).

This is not problem in NetBeans (tomcat plugin).
Comment 2 _ rkubacki 2001-11-17 14:08:08 UTC
Oops, problem is really in plugin. It needs to add more elements to a
classpath when Tomcat is started (JAXP and Xalan).
Comment 3 _ rkubacki 2001-11-17 21:13:34 UTC
Should be fixed in orion_ea now.
Comment 4 Jason Rush 2001-11-20 22:52:08 UTC
Verified in orion_ea build 011119_1.
Comment 5 Jan Chalupa 2002-01-17 09:39:29 UTC
Re-assigning to the correct component.
Comment 6 Marek Grummich 2002-07-19 16:02:51 UTC
Target milestone was changed from not determined to TBD


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo